Subject: Re: Interupting screen dump
From: [email-masked] (Michael Hirmke)
To: [email-masked]
Date: 20 Sep 1999 01:19:00 +0200

Clark Sims [[email-masked]] wrote:

[...]
>On page 25 of "Learning the bash shell", it says that ctrl-c should stop the
>current command. So this should do what I want, and it does sometimes. It
>looks like there is a small bug in this version of bash( bash 2.02.1(2) in
>Cygwin 20.1), because somet imes, to many commands get killed, including bash
>itself. 
>
>Should I report this as a bug?

Remember - this can't be the same behaviour as for bash on U*ix systems.
It all depends on the terminal handling of the underlying OS.
The terminal handling of Cygwin is far from being perfect, so you may
experience things that won't work or work different from what you read
in the docs for bash on a real Unix system.
Nevertheless try setting CYGWIN=tty - this significantly changes the
behaviour of terminal handling. Perhaps things will work better for you
then. You have to set this *before* the first Cygwin process gets
started.

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://aquarius.franken.de/

--
Want to unsubscribe from this list?
Send a message to [email-masked]